
{$A+,B-,D+,E-,F-,I-,L+,N+,O-,R-,S-,V-,G-}
{$M 16384,0,655360}


UNIT PairGra;
INTERFACE

USES Graph,Crt,Linlib,Utility,Math,ScrLib,PrintSc2,VGAPal,
      LaserPr,BitMap, GraphWin, Global, PopGraph, owlgraph;


TYPE
    IntArray      = Array[1..MaxYears] OF Integer;
    CharSet       = Set OF Char;
    DataPtr       = ^RealDataArray;
    TwoDPtr       = Array[0..9] OF DataPtr;






CONST
     OwlColor = Yellow;
     MaxStages = 9;
    
VAR
   OwlTotal, OwlSd                           : TwoDPtr;
   Pop,Pair,
   PopSD,PairSD,
   IdentByDescentSD,
   IdentByDescent                            : DataPtr;
   LastStage                                 : Byte;

IMPLEMENTATION





PROCEDURE AdditionalLines(VAR YVect         : RealDataArray;
                              LineOn        : Boolean;
                              Color         : Byte;
                              Style         : Byte;
                              ScaleX,ScaleY : Single);

         VAR
             IntYArr   : IntArray;
             GphX,GphY,
             Ct,DistX,
             DistY,
             StartX,StartY    : Word;
             MaxVal,Dummy     : Single;
          BEGIN
               DistY := Round(0.75 * GetMaxY);
               StartX := Round(GetMaxX * 0.1);
               StartY := Round(GetMaxY * 0.9);
               RoundAndScaleRow(LastYear,ScaleY,YVect,IntYArr);
               FOR Ct := FirstYear TO LastYear DO
                   IF IntYArr[Ct] < 0 THEN
                      IntYArr[Ct] := 0;
               SetColor(Color);
               SetLineStyle(0,0,Style);
               MoveTo(StartX,StartY - IntYArr[FirstYear]);
               IF LineOn THEN
                  FOR Ct := FirstYear+2 TO LastYear DO
                     LineTo(StartX + Round((Ct-FirstYear) * ScaleX),StartY - IntYArr[Ct])
               ELSE
                   FOR Ct := FirstYear+2 TO LastYear DO
                    PutPixel(StartX + Round((Ct-FirstYear) * ScaleX),StartY - IntYArr[Ct],White);
END;

   

PROCEDURE GraphOwlData(Mean,Std : RealDataArray; ColorNum : Byte);
VAR
    ScaleY,ScaleX     : Single;
    Err               : Boolean;
    Below, Above      : RealDataArray;
    Ct                : Word;


BEGIN
    DrawGraph(LastYear,Mean,'TIME IN YEARS','POPULATION',
           TRUE,OwlColor,1,ScaleX,ScaleY,Err);
    WriteRange;
    IF (R1 <> R2) THEN BEGIN
       FOR Ct := FirstYear TO LastYear DO BEGIN
          Above[ct] := Mean[Ct] + Std[Ct];
          Below[ct] := Mean[Ct] - Std[Ct];
       END;
       AdditionalLines(Above,TRUE, White, 1,ScaleX, ScaleY);
       AdditionalLines(Below,TRUE, White, 1, ScaleX, ScaleY);
    END;
END;


{**************************************File Input and data manipulation}

{***********************************Main Program}


BEGIN
 
END.

